Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.ix.jspTutorial.mail
Class MailHelper

    java.lang.Object
      |
      +--de.ix.jspTutorial.mail.MailHelper

public class MailHelper
extends java.lang.Object
implements MailConstants

Field Summary
`private java.util.Vector` | `attachments`
`private boolean` | `mailDebug`
`private java.lang.String` | `messageText`
`(package private) static boolean` | `multiOn`
`private java.util.Vector` | `recipients`
`private java.lang.String` | `sender`
`private java.lang.String` | `smtpServer`
`private java.lang.String` | `subject`

Fields inherited from interface de.ix.jspTutorial.constants.MailConstants
`C_CONFIG_MAIL_DEBUG, C_CONFIG_MAIL_RECIPIENT, C_CONFIG_MAIL_SMTP_HOST, C_CONFIG_USE_EMAIL, MAIL_DEBUG, MAIL_RECIPIENT, MAIL_SMTP_HOST, USE_EMAIL`

Constructor Summary
`MailHelper()`
`MailHelper(java.lang.String sender, java.util.Vector recipient, java.lang.String smtpServer, java.lang.String subject, java.lang.String messageText, java.util.Vector attachments, boolean mailDebug)`

Method Summary
`java.util.Vector` | `getAttachments()`
`boolean` | `getMailDebug()`
`java.lang.String` | `getMessageText()`
`java.util.Vector` | `getRecipients()`
`java.lang.String` | `getSender()`
`private java.lang.String` | `getShortFileName(java.lang.String longFileName)`
`java.lang.String` | `getSmtpServer()`
`java.lang.String` | `getSubject()`
`void` | `sendMail()`
`void` | `setAttachments(java.util.Vector newAttachments)`
`void` | `setMailDebug(boolean newMailDebug)`
`void` | `setMessageText(java.lang.String newMessageText)`
`void` | `setRecipients(java.util.Vector newRecipients)`
`void` | `setSender(java.lang.String newSender)`
`void` | `setSmtpServer(java.lang.String newSmtpServer)`
`void` | `setSubject(java.lang.String newSubject)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### multiOn

    static final boolean multiOn

### sender

    private java.lang.String sender

### messageText

    private java.lang.String messageText

### smtpServer

    private java.lang.String smtpServer

### subject

    private java.lang.String subject

### recipients

    private java.util.Vector recipients

### attachments

    private java.util.Vector attachments

### mailDebug

    private boolean mailDebug

Constructor Detail

### MailHelper

    public MailHelper()

### MailHelper

    public MailHelper(java.lang.String sender,
                      java.util.Vector recipient,
                      java.lang.String smtpServer,
                      java.lang.String subject,
                      java.lang.String messageText,
                      java.util.Vector attachments,
                      boolean mailDebug)

Method Detail

### setMessageText

    public void setMessageText(java.lang.String newMessageText)

### setSender

    public void setSender(java.lang.String newSender)

### setSubject

    public void setSubject(java.lang.String newSubject)

### setRecipients

    public void setRecipients(java.util.Vector newRecipients)

### setAttachments

    public void setAttachments(java.util.Vector newAttachments)

### setSmtpServer

    public void setSmtpServer(java.lang.String newSmtpServer)

### setMailDebug

    public void setMailDebug(boolean newMailDebug)

### getSender

    public java.lang.String getSender()

### getMessageText

    public java.lang.String getMessageText()

### getRecipients

    public java.util.Vector getRecipients()

### getAttachments

    public java.util.Vector getAttachments()

### getSmtpServer

    public java.lang.String getSmtpServer()

### getSubject

    public java.lang.String getSubject()

### getMailDebug

    public boolean getMailDebug()

### getShortFileName

    private java.lang.String getShortFileName(java.lang.String longFileName)

### sendMail

    public void sendMail()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~